#ifndef _keytype_h
#define _keytype_h


#ifdef __cplusplus
extern "C" {
#endif

#define _KT_FULL  (1<<0)			/* tL[ */
#define _KT_TEN   (1<<1)			/* eL[ */
#define _KT_FUNC  (1<<2)			/* f1 ` f10 */
#define _KT_VFUNC (1<<3)			/* vf1 ` vf5 */
#define _KT_CTRL  (1<<4)			/* R[h */
#define _KT_SHIFT (1<<5)			/* SHIFT,CAPS,,GRPH,CTRL */
#define _KT_ALPHA (1<<6)			/* A`Z */
#define _KT_NUM   (1<<7)			/* 0`9 */

extern unsigned char _key_type[];

#define isfullkey(c)  (_key_type[c] & _KT_FULL)
#define istenkey(c)   (_key_type[c] & _KT_TEN)
#define isfunckey(c)  (_key_type[c] & (_KT_FUNC+_KT_VFUNC))
#define isalphakey(c) (_key_type[c] & _KT_ALPHA)
#define isnumkey(c)   (_key_type[c] & _KT_NUM)

#ifdef __cplusplus
}
#endif

#endif
